require_relative 'player'
require_relative 'die'
require_relative 'treasure_trove'
require_relative 'loaded_die'

module StudioGame

	module GameTurn
		def self.take_turn(player)  
			die = Die.new

			case die.roll
				when 1..2
					player.blam
				when 3..4
					puts "The Great Die chose to ignore #{player.name}..."
				else 5..6
					player.woot
			end



			treasure = TreasureTrove.random

			player.found_treasure(treasure)
			# puts "#{player.name} found a #{treasure.name} worth #{treasure.points} points."

		end

	end

end